var express = require('express');
var router = express.Router();
const axios = require('axios')
const FormData = require('form-data')
const host = 'www.allteaching.biz'
const origin = 'https://' + host
const referer = host + '/lms/plugin/player/ecom_player.php'
const contentType = 'application/x-www-form-urlencoded; charset=UTF-8'
const updateUrl = origin + '/lms/plugin/player/ecom_player_update.php'
const cookie = 'PHPSESSID=w5~23diso4fplt1feldogvbi02iv0; f33d2ed86bd82d4c22123c9da444d8ab=MTcwMTQxNjI1OA%3D%3D; 96b28b766b7e0699aa91c9ff3d890663=aHR0cHM6Ly92YXppbC5hbGx0ZWFjaGluZy5iaXov; 2a0d2363701f23f8a75028924a3af643=NTkuMjEuMzQuMjE0; _fwb=199OMLbBRwg0Gxxo5nlnYar.1701907345571; _gcl_au=1.1.1965615246.1701907346; _gid=GA1.2.2096362701.1701907346; wcs_bt=s_53d0704a39a1:1701907366; _ga=GA1.1.9905246.1701907346; _ga_3LZR51WJST=GS1.1.1701907346.1.1.1701907369.0.0.0; _ga_YTEBTSNC3S=GS1.1.1701907346.1.1.1701907369.37.0.0; play=%7B%22wr_id%22%3A%221831672%22%2C%22p_id%22%3A%228d19cbcda62e5e77773cff0596e474f3%22%2C%22s_id%22%3A%22aasc%22%2C%22wr_order%22%3A%221%22%2C%22sample_mode%22%3Afalse%7D; move_prev=false; page_time=%7B%22key%22%3A%2265711364e299a%22%2C%22time%22%3A'

/* GET home page. */
router.get('/', function(req, res, next) {
  res.render('index', { title: 'Vazil Eduline Skipper' });
});


router.post('/skip', async (req, res, next) => {
  try {
    const { p_id, s_id, wr_id} = req.body

    let responses = []

    for(let i = 0; i < 14; i++) {
      let response = {
        start: false,
        end: false
      }

      const formData = new FormData()
      formData.append('p_id', p_id)
      formData.append('s_id', s_id)
      formData.append('wr_order', 22)
      formData.append('wr_page', (i+1))
      formData.append('wr_id', wr_id)

      let rand = parseInt((Math.random() * 10000) + 1000000)
      let add = parseInt(Math.random() * 100000)
      
      let startTimestamp = ((parseInt(Date.now()) - rand) + '').substring(0, 10)
      let endTimestamp = ((parseInt(Date.now()) - (rand - add)) + '').substring(0, 10)
      console.log(i + ' 번째 요청 ', startTimestamp, endTimestamp)

      const config = {
        headers: {
          'Origin': origin,
          'Host': host,
          'Referer': referer,
          'Content-Type': contentType
        }
      }

      config.headers['Cookie'] = cookie + startTimestamp + '%7D'
      await axios.post(updateUrl, formData, config)
      .then(res=>{
        console.log('start clear', res.data)
        response = res.data
      })
      .catch(err=>{
        console.log('start error', err)
      })

      responses.push(response)
    }
    
    res.status(200).json(responses)
    
  } catch (err) {
    console.error(err);
    next(err)
  }
})

// health
router.get('/health', function(req, res, next) {
  res.status(200).json('ok')
})

module.exports = router;
